Bug 1328351 (CVE-2016-4021, SYSS-2016-030)

Summary: CVE-2016-4021 pgpdump: endless loop parsing specially crafted input
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: i, nb
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: pgpdump 0.30 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-22 20:56:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1328353, 1328354, 1328355    
Bug Blocks:    

Description Andrej Nemec 2016-04-19 08:05:24 UTC
A flaw was discovered in pgpdump. When pgpdump is run on specially crafted input, a Denial-of-Service condition occurs. The program runs with 100% CPU usage for an indefinite amount of time.

External references:

https://www.syss.de/fileadmin/dokumente/Publikationen/Advisories/SYSS-2016-030.txt

References:

http://seclists.org/bugtraq/2016/Apr/99

Upstream fix:

https://github.com/kazu-yamamoto/pgpdump/pull/16

Comment 1 Andrej Nemec 2016-04-19 08:07:04 UTC
Created pgpdump tracking bugs for this issue:

Affects: fedora-all [bug 1328353]
Affects: epel-6 [bug 1328354]
Affects: epel-7 [bug 1328355]

Comment 2 Fedora Update System 2016-05-07 11:49:24 UTC
pgpdump-0.30-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-05-10 17:53:35 UTC
pgpdump-0.30-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-05-10 18:00:31 UTC
pgpdump-0.30-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-05-27 23:49:40 UTC
pgpdump-0.31-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-06-01 11:46:52 UTC
pgpdump-0.31-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.